Method: locations.attributes.getExtended

拡張メタデータを含む指定された属性を返します。これには、販売者が提供したデータと、一般ユーザー向けの表示(異なる場合があります)の両方が含まれます。また、各属性の編集の現在の状態、元のソース、不承認の詳細を記述するメタデータも含まれます。

HTTP リクエスト

GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*/attributes}:getExtended

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
name

string

必須。このビジネスの Google 識別子は locations/{locationId}/attributes の形式です。

リクエストの本文

リクエストの本文は空にする必要があります。

レスポンスの本文

AttributesService.GetExtendedAttributes のレスポンス メッセージ。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "name": string,
  "extendedAttributes": [
    {
      object (ExtendedAttribute)
    }
  ]
}
フィールド
name

string

出力専用。このビジネスの Google 識別子は locations/{locationId}/attributes の形式です。

extendedAttributes[]

object (ExtendedAttribute)

出力専用。拡張メタデータを含む属性。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/business.manage

詳細については、OAuth 2.0 Overview をご覧ください。

ExtendedAttribute

属性と、その編集メタデータおよび現在の提供状態を表します。

JSON 表現
{
  "attributeProvidedByMerchant": {
    object (Attribute)
  },
  "attributeSeenByConsumers": {
    object (Attribute)
  },
  "extendedFieldData": {
    object (ExtendedFieldData)
  }
}
フィールド
attributeProvidedByMerchant

object (Attribute)

出力専用。販売者が管理する、基盤となる属性データ。

attributeSeenByConsumers

object (Attribute)

出力専用。現在、Google マップと Google 検索でユーザーに表示されている属性データ。

extendedFieldData

object (ExtendedFieldData)

出力専用。この特定の属性の詳細な編集ステータスとメタデータ。